// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: tms/model/scheduler-transport-unit.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type SchedulerTransportUnit struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          int64                      `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Type        string                     `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	CreatedDate int64                      `protobuf:"varint,3,opt,name=createdDate,proto3" json:"createdDate,omitempty"`
	State       string                     `protobuf:"bytes,4,opt,name=state,proto3" json:"state,omitempty"`
	Period      *common.PeriodWithPlanning `protobuf:"bytes,5,opt,name=period,proto3" json:"period,omitempty"`
}

func (x *SchedulerTransportUnit) Reset() {
	*x = SchedulerTransportUnit{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_model_scheduler_transport_unit_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SchedulerTransportUnit) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SchedulerTransportUnit) ProtoMessage() {}

func (x *SchedulerTransportUnit) ProtoReflect() protoreflect.Message {
	mi := &file_tms_model_scheduler_transport_unit_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SchedulerTransportUnit.ProtoReflect.Descriptor instead.
func (*SchedulerTransportUnit) Descriptor() ([]byte, []int) {
	return file_tms_model_scheduler_transport_unit_proto_rawDescGZIP(), []int{0}
}

func (x *SchedulerTransportUnit) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *SchedulerTransportUnit) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *SchedulerTransportUnit) GetCreatedDate() int64 {
	if x != nil {
		return x.CreatedDate
	}
	return 0
}

func (x *SchedulerTransportUnit) GetState() string {
	if x != nil {
		return x.State
	}
	return ""
}

func (x *SchedulerTransportUnit) GetPeriod() *common.PeriodWithPlanning {
	if x != nil {
		return x.Period
	}
	return nil
}

var File_tms_model_scheduler_transport_unit_proto protoreflect.FileDescriptor

var file_tms_model_scheduler_transport_unit_proto_rawDesc = []byte{
	0x0a, 0x28, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x63, 0x68, 0x65,
	0x64, 0x75, 0x6c, 0x65, 0x72, 0x2d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d,
	0x75, 0x6e, 0x69, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03, 0x74, 0x6d, 0x73, 0x1a,
	0x21, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x2d, 0x77,
	0x69, 0x74, 0x68, 0x2d, 0x70, 0x6c, 0x61, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0xa8, 0x01, 0x0a, 0x16, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70,
	0x65, 0x12, 0x20, 0x0a, 0x0b, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x44, 0x61, 0x74, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x44,
	0x61, 0x74, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x32, 0x0a, 0x06, 0x70, 0x65, 0x72,
	0x69, 0x6f, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x57, 0x69, 0x74, 0x68, 0x50, 0x6c, 0x61,
	0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x52, 0x06, 0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x42, 0x8b, 0x01,
	0x0a, 0x1d, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74,
	0x2e, 0x67, 0x72, 0x70, 0x63, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x42,
	0x16, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x50, 0x01, 0x5a, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74,
	0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f,
	0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa,
	0x02, 0x13, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54, 0x4d, 0x53, 0x2e,
	0x4d, 0x6f, 0x64, 0x65, 0x6c, 0xca, 0x02, 0x03, 0x54, 0x4d, 0x53, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_tms_model_scheduler_transport_unit_proto_rawDescOnce sync.Once
	file_tms_model_scheduler_transport_unit_proto_rawDescData = file_tms_model_scheduler_transport_unit_proto_rawDesc
)

func file_tms_model_scheduler_transport_unit_proto_rawDescGZIP() []byte {
	file_tms_model_scheduler_transport_unit_proto_rawDescOnce.Do(func() {
		file_tms_model_scheduler_transport_unit_proto_rawDescData = protoimpl.X.CompressGZIP(file_tms_model_scheduler_transport_unit_proto_rawDescData)
	})
	return file_tms_model_scheduler_transport_unit_proto_rawDescData
}

var file_tms_model_scheduler_transport_unit_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_tms_model_scheduler_transport_unit_proto_goTypes = []interface{}{
	(*SchedulerTransportUnit)(nil),    // 0: tms.SchedulerTransportUnit
	(*common.PeriodWithPlanning)(nil), // 1: common.PeriodWithPlanning
}
var file_tms_model_scheduler_transport_unit_proto_depIdxs = []int32{
	1, // 0: tms.SchedulerTransportUnit.period:type_name -> common.PeriodWithPlanning
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_tms_model_scheduler_transport_unit_proto_init() }
func file_tms_model_scheduler_transport_unit_proto_init() {
	if File_tms_model_scheduler_transport_unit_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_tms_model_scheduler_transport_unit_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SchedulerTransportUnit); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_tms_model_scheduler_transport_unit_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_tms_model_scheduler_transport_unit_proto_goTypes,
		DependencyIndexes: file_tms_model_scheduler_transport_unit_proto_depIdxs,
		MessageInfos:      file_tms_model_scheduler_transport_unit_proto_msgTypes,
	}.Build()
	File_tms_model_scheduler_transport_unit_proto = out.File
	file_tms_model_scheduler_transport_unit_proto_rawDesc = nil
	file_tms_model_scheduler_transport_unit_proto_goTypes = nil
	file_tms_model_scheduler_transport_unit_proto_depIdxs = nil
}
